import{s as fn,f as Ue,n as mn,o as gn}from"../chunks/scheduler.f6b352c8.js";import{S as hn,i as pn,g as o,s as l,r as f,A as dn,h as a,f as i,c as s,j as un,u as m,x as r,k as u,y as cn,a as n,v as g,d as h,t as p,w as d}from"../chunks/index.7f38e934.js";import{H as c}from"../chunks/Heading.333929c4.js";import{E as wn}from"../chunks/EditOnGithub.c3245a01.js";function vn(oi){let w,Ge,We,Ee,b,Be,L,ai='<img src="https://huggingface.co/datasets/agents-course/course-images/resolve/main/en/unit0/thumbnail.jpg" alt="AI Agents Course thumbnail" width="100%"/> <figcaption>The background of the image was generated using <a href="https://scenario.com/">Scenario.com</a></figcaption>',ze,C,ri="Welcome to the most exciting topic in AI today: <strong>Agents</strong>!",De,H,ui="This free course will take you on a journey, <strong>from beginner to expert</strong>, in understanding, using and building AI agents.",Je,M,fi="This first unit will help you onboard:",Re,_,mi="<li>Discover the <strong>course’s syllabus</strong>.</li> <li><strong>Choose the path</strong> you’re going to take (either self-audit or certification process).</li> <li><strong>Get more information about the certification process and the deadlines</strong>.</li> <li>Get to know the team behind the course.</li> <li>Create your <strong>Hugging Face account</strong>.</li> <li><strong>Sign-up to our Discord server</strong>, and meet your classmates and us.</li>",Oe,P,gi="Let’s get started!",Ne,k,hi="We organize a <strong>live Q&amp;A this Wednesday, February the 12th at 5PM CET</strong>. Where we <strong>will explain how the course will work</strong> (scope, units, challenges and more) and <strong>answer your questions</strong>.",Qe,A,pi='👉 <a href="https://www.youtube.com/live/PopqUt3MGyQ?feature=shared" rel="nofollow">https://www.youtube.com/live/PopqUt3MGyQ?feature=shared</a>',Xe,I,di="👉 Don’t forget <strong>to click to Notify me</strong>, to not miss the live.",Ye,j,ci,Ve,q,Ke,F,wi="In this course, you will:",Ze,U,vi='<li>📖 Study AI Agents in <strong>theory, design, and practice.</strong></li> <li>🧑‍💻 Learn to <strong>use established AI Agent libraries</strong> such as <a href="https://huggingface.co/docs/smolagents/en/index" rel="nofollow">smolagents</a>, <a href="https://www.langchain.com/" rel="nofollow">LangChain</a>, and <a href="https://www.llamaindex.ai/" rel="nofollow">LlamaIndex</a>.</li> <li>💾 <strong>Share your agents</strong> on the Hugging Face Hub and explore agents created by the community.</li> <li>🏆 Participate in challenges where you will <strong>evaluate your agents against other students’.</strong></li> <li>🎓 <strong>Earn a certificate of completion</strong> by completing assignments.</li>',et,W,$i="And more!",tt,S,yi="At the end of this course you’ll understand <strong>how Agents work and how to build your own Agents using the latest libraries and tools</strong>.",it,G,Ti='Don’t forget to <strong><a href="https://bit.ly/hf-learn-agents">sign up to the course!</a></strong>',nt,E,xi="(We are respectful of your privacy. We collect your email address to be able to <strong>send you the links when each Unit is published and give you information about the challenges and updates).</strong>",lt,B,bi='Sign up  👉 <a href="https://bit.ly/hf-learn-agents">here</a>',st,z,ot,D,Li="The course is composed of:",at,J,Ci='<li><em>Foundational Units</em>: where you learn Agents <strong>concepts in theory</strong>.</li> <li><em>Hands-on</em>: where you’ll learn <strong>to use established AI Agent libraries</strong> to train your agents in unique environments. These hands-on sections will be <strong>Hugging Face Spaces</strong> with a pre-configured environment.</li> <li><em>Use case assignments</em>: where you’ll apply the concepts you’ve learned to solve a real-world problem that you’ll choose.</li> <li><em>The Challenge</em>: you’ll get to put your agent to compete against other agents in a challenge. There will also be <a href="https://huggingface.co/spaces/huggingface-projects/AI-Agents-Leaderboard" rel="nofollow">a leaderboard</a> (not available yet) for you to compare the agents’ performance.</li>',rt,R,Hi='This <strong>course is a living project, evolving with your feedback and contributions!</strong> Feel free to <a href="https://github.com/huggingface/agents-course" rel="nofollow">open issues and PRs in GitHub</a>, and engage in discussions in our Discord server.',ut,O,Mi='After you have gone through the course, you can also send your feedback  <a href="https://docs.google.com/forms/d/e/1FAIpQLSe9VaONn0eglax0uTwi29rIn4tM7H2sYmmybmG5jJNlE5v0xA/viewform?usp=dialog" rel="nofollow">👉 using this form</a>',ft,N,mt,Q,_i="Here is the <strong>general syllabus for the course</strong>. A more detailed list of topics will be released with each unit.",gt,X,Pi='<thead><tr><th align="left">Chapter</th> <th align="left">Topic</th> <th align="left">Description</th></tr></thead> <tbody><tr><td align="left">0</td> <td align="left">Onboarding</td> <td align="left">Set you up with the tools and platforms that you will use.</td></tr> <tr><td align="left">1</td> <td align="left">Agent Fundamentals</td> <td align="left">Explain Tools, Thoughts, Actions, Observations, and their formats. Explain LLMs, messages, special tokens and chat templates. Show a simple use case using python functions as tools.</td></tr> <tr><td align="left">2</td> <td align="left">Frameworks</td> <td align="left">Understand how the fundamentals are implemented in popular libraries : smolagents, LangGraph, LLamaIndex</td></tr> <tr><td align="left">3</td> <td align="left">Use Cases</td> <td align="left">Let’s build some real life use cases ( open to PRs 🤗 from experienced Agent builders )</td></tr> <tr><td align="left">4</td> <td align="left">Final Assignment</td> <td align="left">Build an agent for a selected benchmark and prove your understanding of Agents on the student leaderboard  🚀</td></tr></tbody>',ht,Y,ki="<em>We are also planning to release some bonus units, stay tuned!</em>",pt,V,dt,K,Ai="To be able to follow this course you should have a:",ct,Z,Ii="<li>Basic knowledge of Python</li> <li>Basic knowledge of LLMs (we have a section in Unit 1 to recap what they are)</li>",wt,ee,vt,te,ji="You only need 2 things:",$t,ie,qi='<li><em>A computer</em> with an internet connection.</li> <li>A <em>Hugging Face Account</em>: to push and load models, agents, and create Spaces. If you don’t have an account yet, you can create one <strong><a href="https://hf.co/join" rel="nofollow">here</a></strong> (it’s free).<img src="https://huggingface.co/datasets/agents-course/course-images/resolve/main/en/unit0/tools.jpg" alt="Course tools needed" width="100%"/></li>',yt,ne,Tt,v,Fi,xt,le,Ui="You can choose to follow this course <em>in audit mode</em>, or do the activities and <em>get one of the two certificates we’ll issue</em>.",bt,se,Wi="If you audit the course, you can participate in all the challenges and do assignments if you want, and <strong>you don’t need to notify us</strong>.",Lt,oe,Si="The certification process is <strong>completely free</strong>:",Ct,ae,Gi="<li><em>To get a certification for fundamentals</em>: you need to complete Unit 1 of the course. This is intended for students that want to get up to date with the latest trends in Agents.</li> <li><em>To get a certificate of completion</em>: you need to complete Unit 1, one of the use case assignments we’ll propose during the course, and the final challenge.</li>",Ht,re,Ei="There’s a deadline for the certification process: all the assignments must be finished before <strong>May 1st 2025</strong>.",Mt,$,Bi,_t,ue,Pt,fe,zi="Each chapter in this course is designed <strong>to be completed in 1 week, with approximately 3-4 hours of work per week</strong>.",kt,me,Di="Since there’s a deadline, we provide you a recommended pace:",At,y,Ji,It,ge,jt,he,Ri="To get the most out of the course, we have some advice:",qt,pe,Oi='<li><a href="https://discord.gg/UrrTSsSyjb">Join study groups in Discord</a>: studying in groups is always easier. To do that, you need to join our discord server and verify your Hugging Face account.</li> <li><strong>Do the quizzes and assignments</strong>: the best way to learn is through hands-on practice and self-assessment..</li> <li><strong>Define a schedule to stay in sync</strong>: you can use our recommended pace schedule below or create yours.</li>',Ft,T,Ni,Ut,de,Wt,ce,Qi="About the authors:",St,we,Gt,ve,Xi="Joffrey is a machine learning engineer at Hugging Face and has built and deployed AI Agents in production. Joffrey will be your main instructor for this course.",Et,$e,Yi='<li><a href="https://x.com/Jthmas404" rel="nofollow">Follow Joffrey on X</a></li> <li><a href="https://www.linkedin.com/in/joffrey-thomas/" rel="nofollow">Follow Joffrey on Linkedin</a></li>',Bt,ye,zt,Te,Vi="Ben is a machine learning engineer at Hugging Face and has delivered multiple courses across various platforms. Ben’s goal is to make the course accessible to everyone.",Dt,xe,Ki='<li><a href="https://x.com/ben_burtenshaw" rel="nofollow">Follow Ben on X</a></li> <li><a href="https://www.linkedin.com/in/ben-burtenshaw/" rel="nofollow">Follow Ben on Linkedin</a></li>',Jt,be,Rt,Le,Zi='Thomas is a machine learning engineer at Hugging Face and delivered the successful <a href="https://huggingface.co/learn/deep-rl-course/unit0/introduction">Deep RL</a> and <a href="https://huggingface.co/learn/ml-games-course/en/unit0/introduction">ML for games</a> courses. Thomas is a big fan of Agents and is excited to see what the community will build.',Ot,Ce,en='<li><a href="https://x.com/ThomasSimonini" rel="nofollow">Follow Thomas on X</a></li> <li><a href="https://www.linkedin.com/in/simoninithomas/" rel="nofollow">Follow Thomas on Linkedin</a></li>',Nt,He,Qt,Me,tn="We would like to extend our gratitude to the following individuals for their invaluable contributions to this course:",Xt,_e,nn="<li><strong>Pedro Cuenca</strong> – For his guidance and expertise in reviewing the materials</li> <li><strong>Aymeric Roucher</strong> – For his amazing demo spaces ( decoding and final agent ).</li> <li><strong>Joshua Lochner</strong> – For his amazing demo space on tokenization.</li>",Yt,Pe,Vt,ke,ln="Contributions are <strong>welcome</strong> 🤗",Kt,Ae,sn='<li>If you <em>found a bug 🐛 in a notebook</em>, please <a href="https://github.com/huggingface/agents-course/issues">open an issue</a> and <strong>describe the problem</strong>.</li> <li>If you <em>want to improve the course</em>, you can <a href="https://github.com/huggingface/agents-course/pulls">open a Pull Request.</a></li> <li>If you <em>want to add a full section or a new unit</em>, the best is to <a href="https://github.com/huggingface/agents-course/issues">open an issue</a> and <strong>describe what content you want to add before starting to write it so that we can guide you</strong>.</li>',Zt,Ie,ei,je,on='Please ask your question in our <a href="https://discord.gg/UrrTSsSyjb">discord server #ai-agents-discussions.</a>',ti,qe,an="Now that you have all the information, let’s get on board ⛵",ii,x,rn,ni,Fe,li,Se,si;return b=new c({props:{title:"Welcome to the 🤗 AI Agents Course",local:"introduction",headingTag:"h1"}}),q=new c({props:{title:"What to expect from this course?",local:"expect",headingTag:"h2"}}),z=new c({props:{title:"What does the course look like?",local:"course-look-like",headingTag:"h2"}}),N=new c({props:{title:"What’s the syllabus?",local:"syllabus",headingTag:"h2"}}),V=new c({props:{title:"What are the prerequisites?",local:"what-are-the-prerequisites",headingTag:"h2"}}),ee=new c({props:{title:"What tools do I need?",local:"tools",headingTag:"h2"}}),ne=new c({props:{title:"The Certification Process",local:"certification-process",headingTag:"h2"}}),ue=new c({props:{title:"What is the recommended pace?",local:"recommended-pace",headingTag:"h2"}}),ge=new c({props:{title:"How to get the most out of the course?",local:"advice",headingTag:"h2"}}),de=new c({props:{title:"Who are we",local:"who-are-we",headingTag:"h2"}}),we=new c({props:{title:"Joffrey Thomas",local:"joffrey-thomas",headingTag:"h3"}}),ye=new c({props:{title:"Ben Burtenshaw",local:"ben-burtenshaw",headingTag:"h3"}}),be=new c({props:{title:"Thomas Simonini",local:"thomas-simonini",headingTag:"h3"}}),He=new c({props:{title:"Acknowledgments",local:"acknowledgments",headingTag:"h2"}}),Pe=new c({props:{title:"I found a bug, or I want to improve the course",local:"contribute",headingTag:"h2"}}),Ie=new c({props:{title:"I still have questions",local:"questions",headingTag:"h2"}}),Fe=new wn({props:{source:"https://github.com/huggingface/agents-course/blob/main/units/en/unit0/introduction.mdx"}}),{c(){w=o("meta"),Ge=l(),We=o("p"),Ee=l(),f(b.$$.fragment),Be=l(),L=o("figure"),L.innerHTML=ai,ze=l(),C=o("p"),C.innerHTML=ri,De=l(),H=o("p"),H.innerHTML=ui,Je=l(),M=o("p"),M.textContent=fi,Re=l(),_=o("ul"),_.innerHTML=mi,Oe=l(),P=o("p"),P.textContent=gi,Ne=l(),k=o("p"),k.innerHTML=hi,Qe=l(),A=o("p"),A.innerHTML=pi,Xe=l(),I=o("p"),I.innerHTML=di,Ye=l(),j=o("img"),Ve=l(),f(q.$$.fragment),Ke=l(),F=o("p"),F.textContent=wi,Ze=l(),U=o("ul"),U.innerHTML=vi,et=l(),W=o("p"),W.textContent=$i,tt=l(),S=o("p"),S.innerHTML=yi,it=l(),G=o("p"),G.innerHTML=Ti,nt=l(),E=o("p"),E.innerHTML=xi,lt=l(),B=o("p"),B.innerHTML=bi,st=l(),f(z.$$.fragment),ot=l(),D=o("p"),D.textContent=Li,at=l(),J=o("ul"),J.innerHTML=Ci,rt=l(),R=o("p"),R.innerHTML=Hi,ut=l(),O=o("p"),O.innerHTML=Mi,ft=l(),f(N.$$.fragment),mt=l(),Q=o("p"),Q.innerHTML=_i,gt=l(),X=o("table"),X.innerHTML=Pi,ht=l(),Y=o("p"),Y.innerHTML=ki,pt=l(),f(V.$$.fragment),dt=l(),K=o("p"),K.textContent=Ai,ct=l(),Z=o("ul"),Z.innerHTML=Ii,wt=l(),f(ee.$$.fragment),vt=l(),te=o("p"),te.textContent=ji,$t=l(),ie=o("ul"),ie.innerHTML=qi,yt=l(),f(ne.$$.fragment),Tt=l(),v=o("img"),xt=l(),le=o("p"),le.innerHTML=Ui,bt=l(),se=o("p"),se.innerHTML=Wi,Lt=l(),oe=o("p"),oe.innerHTML=Si,Ct=l(),ae=o("ul"),ae.innerHTML=Gi,Ht=l(),re=o("p"),re.innerHTML=Ei,Mt=l(),$=o("img"),_t=l(),f(ue.$$.fragment),Pt=l(),fe=o("p"),fe.innerHTML=zi,kt=l(),me=o("p"),me.textContent=Di,At=l(),y=o("img"),It=l(),f(ge.$$.fragment),jt=l(),he=o("p"),he.textContent=Ri,qt=l(),pe=o("ol"),pe.innerHTML=Oi,Ft=l(),T=o("img"),Ut=l(),f(de.$$.fragment),Wt=l(),ce=o("p"),ce.textContent=Qi,St=l(),f(we.$$.fragment),Gt=l(),ve=o("p"),ve.textContent=Xi,Et=l(),$e=o("ul"),$e.innerHTML=Yi,Bt=l(),f(ye.$$.fragment),zt=l(),Te=o("p"),Te.textContent=Vi,Dt=l(),xe=o("ul"),xe.innerHTML=Ki,Jt=l(),f(be.$$.fragment),Rt=l(),Le=o("p"),Le.innerHTML=Zi,Ot=l(),Ce=o("ul"),Ce.innerHTML=en,Nt=l(),f(He.$$.fragment),Qt=l(),Me=o("p"),Me.textContent=tn,Xt=l(),_e=o("ul"),_e.innerHTML=nn,Yt=l(),f(Pe.$$.fragment),Vt=l(),ke=o("p"),ke.innerHTML=ln,Kt=l(),Ae=o("ul"),Ae.innerHTML=sn,Zt=l(),f(Ie.$$.fragment),ei=l(),je=o("p"),je.innerHTML=on,ti=l(),qe=o("p"),qe.textContent=an,ii=l(),x=o("img"),ni=l(),f(Fe.$$.fragment),li=l(),Se=o("p"),this.h()},l(e){const t=dn("svelte-u9bgzb",document.head);w=a(t,"META",{name:!0,content:!0}),t.forEach(i),Ge=s(e),We=a(e,"P",{}),un(We).forEach(i),Ee=s(e),m(b.$$.fragment,e),Be=s(e),L=a(e,"FIGURE",{"data-svelte-h":!0}),r(L)!=="svelte-1e9iu5f"&&(L.innerHTML=ai),ze=s(e),C=a(e,"P",{"data-svelte-h":!0}),r(C)!=="svelte-17pu5cl"&&(C.innerHTML=ri),De=s(e),H=a(e,"P",{"data-svelte-h":!0}),r(H)!=="svelte-dvnpj7"&&(H.innerHTML=ui),Je=s(e),M=a(e,"P",{"data-svelte-h":!0}),r(M)!=="svelte-1csi7fx"&&(M.textContent=fi),Re=s(e),_=a(e,"UL",{"data-svelte-h":!0}),r(_)!=="svelte-ixjw75"&&(_.innerHTML=mi),Oe=s(e),P=a(e,"P",{"data-svelte-h":!0}),r(P)!=="svelte-4b3xjd"&&(P.textContent=gi),Ne=s(e),k=a(e,"P",{"data-svelte-h":!0}),r(k)!=="svelte-16628wc"&&(k.innerHTML=hi),Qe=s(e),A=a(e,"P",{"data-svelte-h":!0}),r(A)!=="svelte-w9aved"&&(A.innerHTML=pi),Xe=s(e),I=a(e,"P",{"data-svelte-h":!0}),r(I)!=="svelte-131kcxi"&&(I.innerHTML=di),Ye=s(e),j=a(e,"IMG",{src:!0,alt:!0}),Ve=s(e),m(q.$$.fragment,e),Ke=s(e),F=a(e,"P",{"data-svelte-h":!0}),r(F)!=="svelte-f2qxb3"&&(F.textContent=wi),Ze=s(e),U=a(e,"UL",{"data-svelte-h":!0}),r(U)!=="svelte-dt96yw"&&(U.innerHTML=vi),et=s(e),W=a(e,"P",{"data-svelte-h":!0}),r(W)!=="svelte-t67g99"&&(W.textContent=$i),tt=s(e),S=a(e,"P",{"data-svelte-h":!0}),r(S)!=="svelte-rxvjyt"&&(S.innerHTML=yi),it=s(e),G=a(e,"P",{"data-svelte-h":!0}),r(G)!=="svelte-5ioa44"&&(G.innerHTML=Ti),nt=s(e),E=a(e,"P",{"data-svelte-h":!0}),r(E)!=="svelte-z7umi9"&&(E.innerHTML=xi),lt=s(e),B=a(e,"P",{"data-svelte-h":!0}),r(B)!=="svelte-1ts9z99"&&(B.innerHTML=bi),st=s(e),m(z.$$.fragment,e),ot=s(e),D=a(e,"P",{"data-svelte-h":!0}),r(D)!=="svelte-1ee6w8b"&&(D.textContent=Li),at=s(e),J=a(e,"UL",{"data-svelte-h":!0}),r(J)!=="svelte-1r4t4vj"&&(J.innerHTML=Ci),rt=s(e),R=a(e,"P",{"data-svelte-h":!0}),r(R)!=="svelte-1bts4d3"&&(R.innerHTML=Hi),ut=s(e),O=a(e,"P",{"data-svelte-h":!0}),r(O)!=="svelte-16fokxm"&&(O.innerHTML=Mi),ft=s(e),m(N.$$.fragment,e),mt=s(e),Q=a(e,"P",{"data-svelte-h":!0}),r(Q)!=="svelte-qhjxsa"&&(Q.innerHTML=_i),gt=s(e),X=a(e,"TABLE",{"data-svelte-h":!0}),r(X)!=="svelte-1gw18fw"&&(X.innerHTML=Pi),ht=s(e),Y=a(e,"P",{"data-svelte-h":!0}),r(Y)!=="svelte-1aqi5y9"&&(Y.innerHTML=ki),pt=s(e),m(V.$$.fragment,e),dt=s(e),K=a(e,"P",{"data-svelte-h":!0}),r(K)!=="svelte-kqo70s"&&(K.textContent=Ai),ct=s(e),Z=a(e,"UL",{"data-svelte-h":!0}),r(Z)!=="svelte-1o8em9l"&&(Z.innerHTML=Ii),wt=s(e),m(ee.$$.fragment,e),vt=s(e),te=a(e,"P",{"data-svelte-h":!0}),r(te)!=="svelte-17wttjy"&&(te.textContent=ji),$t=s(e),ie=a(e,"UL",{"data-svelte-h":!0}),r(ie)!=="svelte-l2nc5g"&&(ie.innerHTML=qi),yt=s(e),m(ne.$$.fragment,e),Tt=s(e),v=a(e,"IMG",{src:!0,alt:!0,width:!0}),xt=s(e),le=a(e,"P",{"data-svelte-h":!0}),r(le)!=="svelte-knl2ed"&&(le.innerHTML=Ui),bt=s(e),se=a(e,"P",{"data-svelte-h":!0}),r(se)!=="svelte-1kpr9m4"&&(se.innerHTML=Wi),Lt=s(e),oe=a(e,"P",{"data-svelte-h":!0}),r(oe)!=="svelte-1ybbpoz"&&(oe.innerHTML=Si),Ct=s(e),ae=a(e,"UL",{"data-svelte-h":!0}),r(ae)!=="svelte-1mkaw8h"&&(ae.innerHTML=Gi),Ht=s(e),re=a(e,"P",{"data-svelte-h":!0}),r(re)!=="svelte-1roe7pg"&&(re.innerHTML=Ei),Mt=s(e),$=a(e,"IMG",{src:!0,alt:!0,width:!0}),_t=s(e),m(ue.$$.fragment,e),Pt=s(e),fe=a(e,"P",{"data-svelte-h":!0}),r(fe)!=="svelte-16x0fhq"&&(fe.innerHTML=zi),kt=s(e),me=a(e,"P",{"data-svelte-h":!0}),r(me)!=="svelte-1emjga4"&&(me.textContent=Di),At=s(e),y=a(e,"IMG",{src:!0,alt:!0,width:!0}),It=s(e),m(ge.$$.fragment,e),jt=s(e),he=a(e,"P",{"data-svelte-h":!0}),r(he)!=="svelte-822ilm"&&(he.textContent=Ri),qt=s(e),pe=a(e,"OL",{"data-svelte-h":!0}),r(pe)!=="svelte-1h04lcm"&&(pe.innerHTML=Oi),Ft=s(e),T=a(e,"IMG",{src:!0,alt:!0,width:!0}),Ut=s(e),m(de.$$.fragment,e),Wt=s(e),ce=a(e,"P",{"data-svelte-h":!0}),r(ce)!=="svelte-1qyo5w8"&&(ce.textContent=Qi),St=s(e),m(we.$$.fragment,e),Gt=s(e),ve=a(e,"P",{"data-svelte-h":!0}),r(ve)!=="svelte-jk5ik2"&&(ve.textContent=Xi),Et=s(e),$e=a(e,"UL",{"data-svelte-h":!0}),r($e)!=="svelte-1u6zw05"&&($e.innerHTML=Yi),Bt=s(e),m(ye.$$.fragment,e),zt=s(e),Te=a(e,"P",{"data-svelte-h":!0}),r(Te)!=="svelte-yjqhaj"&&(Te.textContent=Vi),Dt=s(e),xe=a(e,"UL",{"data-svelte-h":!0}),r(xe)!=="svelte-fachn0"&&(xe.innerHTML=Ki),Jt=s(e),m(be.$$.fragment,e),Rt=s(e),Le=a(e,"P",{"data-svelte-h":!0}),r(Le)!=="svelte-10mjr36"&&(Le.innerHTML=Zi),Ot=s(e),Ce=a(e,"UL",{"data-svelte-h":!0}),r(Ce)!=="svelte-fw4318"&&(Ce.innerHTML=en),Nt=s(e),m(He.$$.fragment,e),Qt=s(e),Me=a(e,"P",{"data-svelte-h":!0}),r(Me)!=="svelte-1g13y94"&&(Me.textContent=tn),Xt=s(e),_e=a(e,"UL",{"data-svelte-h":!0}),r(_e)!=="svelte-apo2af"&&(_e.innerHTML=nn),Yt=s(e),m(Pe.$$.fragment,e),Vt=s(e),ke=a(e,"P",{"data-svelte-h":!0}),r(ke)!=="svelte-nxego7"&&(ke.innerHTML=ln),Kt=s(e),Ae=a(e,"UL",{"data-svelte-h":!0}),r(Ae)!=="svelte-1lujafl"&&(Ae.innerHTML=sn),Zt=s(e),m(Ie.$$.fragment,e),ei=s(e),je=a(e,"P",{"data-svelte-h":!0}),r(je)!=="svelte-1qqh474"&&(je.innerHTML=on),ti=s(e),qe=a(e,"P",{"data-svelte-h":!0}),r(qe)!=="svelte-gbc6aj"&&(qe.textContent=an),ii=s(e),x=a(e,"IMG",{src:!0,alt:!0,width:!0}),ni=s(e),m(Fe.$$.fragment,e),li=s(e),Se=a(e,"P",{}),un(Se).forEach(i),this.h()},h(){u(w,"name","hf:doc:metadata"),u(w,"content",$n),Ue(j.src,ci="https://huggingface.co/datasets/agents-course/course-images/resolve/main/en/communication/live1.jpg")||u(j,"src",ci),u(j,"alt","First live thumbnail"),Ue(v.src,Fi="https://huggingface.co/datasets/agents-course/course-images/resolve/main/en/unit0/three-paths.jpg")||u(v,"src",Fi),u(v,"alt","Two paths"),u(v,"width","100%"),Ue($.src,Bi="https://huggingface.co/datasets/agents-course/course-images/resolve/main/en/unit0/deadline.jpg")||u($,"src",Bi),u($,"alt","Deadline"),u($,"width","100%"),Ue(y.src,Ji="https://huggingface.co/datasets/agents-course/course-images/resolve/main/en/unit0/recommended-pace.jpg")||u(y,"src",Ji),u(y,"alt","Recommended Pace"),u(y,"width","100%"),Ue(T.src,Ni="https://huggingface.co/datasets/agents-course/course-images/resolve/main/en/unit0/advice.jpg")||u(T,"src",Ni),u(T,"alt","Course advice"),u(T,"width","100%"),Ue(x.src,rn="https://huggingface.co/datasets/agents-course/course-images/resolve/main/en/unit0/time-to-onboard.jpg")||u(x,"src",rn),u(x,"alt","Time to Onboard"),u(x,"width","100%")},m(e,t){cn(document.head,w),n(e,Ge,t),n(e,We,t),n(e,Ee,t),g(b,e,t),n(e,Be,t),n(e,L,t),n(e,ze,t),n(e,C,t),n(e,De,t),n(e,H,t),n(e,Je,t),n(e,M,t),n(e,Re,t),n(e,_,t),n(e,Oe,t),n(e,P,t),n(e,Ne,t),n(e,k,t),n(e,Qe,t),n(e,A,t),n(e,Xe,t),n(e,I,t),n(e,Ye,t),n(e,j,t),n(e,Ve,t),g(q,e,t),n(e,Ke,t),n(e,F,t),n(e,Ze,t),n(e,U,t),n(e,et,t),n(e,W,t),n(e,tt,t),n(e,S,t),n(e,it,t),n(e,G,t),n(e,nt,t),n(e,E,t),n(e,lt,t),n(e,B,t),n(e,st,t),g(z,e,t),n(e,ot,t),n(e,D,t),n(e,at,t),n(e,J,t),n(e,rt,t),n(e,R,t),n(e,ut,t),n(e,O,t),n(e,ft,t),g(N,e,t),n(e,mt,t),n(e,Q,t),n(e,gt,t),n(e,X,t),n(e,ht,t),n(e,Y,t),n(e,pt,t),g(V,e,t),n(e,dt,t),n(e,K,t),n(e,ct,t),n(e,Z,t),n(e,wt,t),g(ee,e,t),n(e,vt,t),n(e,te,t),n(e,$t,t),n(e,ie,t),n(e,yt,t),g(ne,e,t),n(e,Tt,t),n(e,v,t),n(e,xt,t),n(e,le,t),n(e,bt,t),n(e,se,t),n(e,Lt,t),n(e,oe,t),n(e,Ct,t),n(e,ae,t),n(e,Ht,t),n(e,re,t),n(e,Mt,t),n(e,$,t),n(e,_t,t),g(ue,e,t),n(e,Pt,t),n(e,fe,t),n(e,kt,t),n(e,me,t),n(e,At,t),n(e,y,t),n(e,It,t),g(ge,e,t),n(e,jt,t),n(e,he,t),n(e,qt,t),n(e,pe,t),n(e,Ft,t),n(e,T,t),n(e,Ut,t),g(de,e,t),n(e,Wt,t),n(e,ce,t),n(e,St,t),g(we,e,t),n(e,Gt,t),n(e,ve,t),n(e,Et,t),n(e,$e,t),n(e,Bt,t),g(ye,e,t),n(e,zt,t),n(e,Te,t),n(e,Dt,t),n(e,xe,t),n(e,Jt,t),g(be,e,t),n(e,Rt,t),n(e,Le,t),n(e,Ot,t),n(e,Ce,t),n(e,Nt,t),g(He,e,t),n(e,Qt,t),n(e,Me,t),n(e,Xt,t),n(e,_e,t),n(e,Yt,t),g(Pe,e,t),n(e,Vt,t),n(e,ke,t),n(e,Kt,t),n(e,Ae,t),n(e,Zt,t),g(Ie,e,t),n(e,ei,t),n(e,je,t),n(e,ti,t),n(e,qe,t),n(e,ii,t),n(e,x,t),n(e,ni,t),g(Fe,e,t),n(e,li,t),n(e,Se,t),si=!0},p:mn,i(e){si||(h(b.$$.fragment,e),h(q.$$.fragment,e),h(z.$$.fragment,e),h(N.$$.fragment,e),h(V.$$.fragment,e),h(ee.$$.fragment,e),h(ne.$$.fragment,e),h(ue.$$.fragment,e),h(ge.$$.fragment,e),h(de.$$.fragment,e),h(we.$$.fragment,e),h(ye.$$.fragment,e),h(be.$$.fragment,e),h(He.$$.fragment,e),h(Pe.$$.fragment,e),h(Ie.$$.fragment,e),h(Fe.$$.fragment,e),si=!0)},o(e){p(b.$$.fragment,e),p(q.$$.fragment,e),p(z.$$.fragment,e),p(N.$$.fragment,e),p(V.$$.fragment,e),p(ee.$$.fragment,e),p(ne.$$.fragment,e),p(ue.$$.fragment,e),p(ge.$$.fragment,e),p(de.$$.fragment,e),p(we.$$.fragment,e),p(ye.$$.fragment,e),p(be.$$.fragment,e),p(He.$$.fragment,e),p(Pe.$$.fragment,e),p(Ie.$$.fragment,e),p(Fe.$$.fragment,e),si=!1},d(e){e&&(i(Ge),i(We),i(Ee),i(Be),i(L),i(ze),i(C),i(De),i(H),i(Je),i(M),i(Re),i(_),i(Oe),i(P),i(Ne),i(k),i(Qe),i(A),i(Xe),i(I),i(Ye),i(j),i(Ve),i(Ke),i(F),i(Ze),i(U),i(et),i(W),i(tt),i(S),i(it),i(G),i(nt),i(E),i(lt),i(B),i(st),i(ot),i(D),i(at),i(J),i(rt),i(R),i(ut),i(O),i(ft),i(mt),i(Q),i(gt),i(X),i(ht),i(Y),i(pt),i(dt),i(K),i(ct),i(Z),i(wt),i(vt),i(te),i($t),i(ie),i(yt),i(Tt),i(v),i(xt),i(le),i(bt),i(se),i(Lt),i(oe),i(Ct),i(ae),i(Ht),i(re),i(Mt),i($),i(_t),i(Pt),i(fe),i(kt),i(me),i(At),i(y),i(It),i(jt),i(he),i(qt),i(pe),i(Ft),i(T),i(Ut),i(Wt),i(ce),i(St),i(Gt),i(ve),i(Et),i($e),i(Bt),i(zt),i(Te),i(Dt),i(xe),i(Jt),i(Rt),i(Le),i(Ot),i(Ce),i(Nt),i(Qt),i(Me),i(Xt),i(_e),i(Yt),i(Vt),i(ke),i(Kt),i(Ae),i(Zt),i(ei),i(je),i(ti),i(qe),i(ii),i(x),i(ni),i(li),i(Se)),i(w),d(b,e),d(q,e),d(z,e),d(N,e),d(V,e),d(ee,e),d(ne,e),d(ue,e),d(ge,e),d(de,e),d(we,e),d(ye,e),d(be,e),d(He,e),d(Pe,e),d(Ie,e),d(Fe,e)}}}const $n='{"title":"Welcome to the 🤗 AI Agents Course","local":"introduction","sections":[{"title":"What to expect from this course?","local":"expect","sections":[],"depth":2},{"title":"What does the course look like?","local":"course-look-like","sections":[],"depth":2},{"title":"What’s the syllabus?","local":"syllabus","sections":[],"depth":2},{"title":"What are the prerequisites?","local":"what-are-the-prerequisites","sections":[],"depth":2},{"title":"What tools do I need?","local":"tools","sections":[],"depth":2},{"title":"The Certification Process","local":"certification-process","sections":[],"depth":2},{"title":"What is the recommended pace?","local":"recommended-pace","sections":[],"depth":2},{"title":"How to get the most out of the course?","local":"advice","sections":[],"depth":2},{"title":"Who are we","local":"who-are-we","sections":[{"title":"Joffrey Thomas","local":"joffrey-thomas","sections":[],"depth":3},{"title":"Ben Burtenshaw","local":"ben-burtenshaw","sections":[],"depth":3},{"title":"Thomas Simonini","local":"thomas-simonini","sections":[],"depth":3}],"depth":2},{"title":"Acknowledgments","local":"acknowledgments","sections":[],"depth":2},{"title":"I found a bug, or I want to improve the course","local":"contribute","sections":[],"depth":2},{"title":"I still have questions","local":"questions","sections":[],"depth":2}],"depth":1}';function yn(oi){return gn(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Cn extends hn{constructor(w){super(),pn(this,w,yn,vn,fn,{})}}export{Cn as component};
